## org.exist.http
Class Response

    java.lang.Object
      org.exist.http.Response

public class Response
extends java.lang.Object

Constructor Summary
`Response()`
`Response(int code, java.lang.String message)`
`Response(java.lang.String content)`

Method Summary
`byte[]` `getContent()`
`java.lang.String` `getContentType()`
`java.lang.String` `getDescription()`
`java.lang.String` `getEncoding()`
`int` `getResponseCode()`
`void` `setContent(byte[] content)`
`void` `setContent(java.lang.String content)`
`void` `setContentType(java.lang.String type)`
`void` `setDescription(java.lang.String description)`
`void` `setEncoding(java.lang.String encoding)`
`void` `setResponseCode(int code)`
`void` `write(java.io.DataOutputStream os)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Response

    public Response()

### Response

    public Response(int code,
                    java.lang.String message)

### Response

    public Response(java.lang.String content)

Method Detail

### setResponseCode

    public void setResponseCode(int code)

### getResponseCode

    public int getResponseCode()

### setEncoding

    public void setEncoding(java.lang.String encoding)

### getEncoding

    public java.lang.String getEncoding()

### setDescription

    public void setDescription(java.lang.String description)

### getDescription

    public java.lang.String getDescription()

### setContent

    public void setContent(java.lang.String content)

### setContent

    public void setContent(byte[] content)

### getContent

    public byte[] getContent()
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### setContentType

    public void setContentType(java.lang.String type)

### getContentType

    public java.lang.String getContentType()

### write

    public void write(java.io.DataOutputStream os)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright (C) Wolfgang Meier. All rights reserved.